MidiFileInfo struct Reference (libkmid Library)

| # libkmid Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# MidiFileInfo Struct Reference

Contains all the information about a MIDI file. All the information about a MIDI file. More...

`#include <midfile.h>`

List of all members.

## Public Attributes
int | format
| Format of MIDI file.
int | ntracks
| Number of tracks.
int | ticksPerCuarterNote
| Ticks per cuarter note.
ulong | ticksTotal
| Total number of MIDI ticks.
double | millisecsTotal
| Total number of milliseconds.
ulong | ticksPlayed
int | patchesUsed [256]
| Patches used in the MIDI file.

## Detailed Description

Contains all the information about a MIDI file. All the information about a MIDI file.

Version:
  0.9.5 17/01/2000

Author:
  Antonio Larrosa Jimenez <larrosa@kde.org>

Definition at line 38 of file midfile.h.

## Member Data Documentation

int MidiFileInfo::format

| Format of MIDI file. Definition at line 43 of file midfile.h.

int MidiFileInfo::ntracks

| Number of tracks. Definition at line 48 of file midfile.h. Referenced by MidiPlayer::play(), MidiPlayer::removeSong(), and MidiPlayer::setPos().

int MidiFileInfo::ticksPerCuarterNote

| Ticks per cuarter note. Definition at line 53 of file midfile.h. Referenced by MidiPlayer::play().

ulong MidiFileInfo::ticksTotal

| Total number of MIDI ticks. Definition at line 58 of file midfile.h. Referenced by MidiPlayer::play().

double MidiFileInfo::millisecsTotal

| Total number of milliseconds. Definition at line 63 of file midfile.h.

int MidiFileInfo::patchesUsed[256]

| Patches used in the MIDI file. In each position of the array it stores the number of times the corresponding patch is used. So, if a MIDI file plays 782 notes with a piano, patchesUsed[0] will store 782. In the same way, if it doesn't use the Music Box patch, patchesUsed[10] will be 0. Definition at line 76 of file midfile.h. Referenced by MidiPlayer::play().

The documentation for this struct was generated from the following file:

- midfile.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:28:38 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001